<template>
  <!-- height: 84vh; -->
  <div class="row">
    <div class="col-md-12 col-lg-3" >
      <div style="height: 21vh">
        <home-pie-chart/>
      </div>
      <div style="margin-top:1vh; height: 62vh;">
        <home-data-school-density class="mb-2"/>
        <home-data-doorway class="mb-2"/>
        <home-data-parking class="mb-2"/>
        <home-data-canteen/>
      </div>
    </div>
    <div class="col-md-12 col-lg-6">
      <home-svg-map/>
    </div>
    <div class="col-md-12 col-lg-3" style="height: 84vh;">
      <home-alarm-info-list/>
    </div>
  </div>
</template>
<script>
import HomeSvgMap from './components/HomeSvgMap'
import HomePieChart from './components/HomePieChart'
import HomeAlarmInfoList from './components/HomeAlarmInfoList'
import HomeDataSchoolDensity from './components/HomeDataSchoolDensity'
import HomeDataCanteen from './components/HomeDataCanteen'
import HomeDataDoorway from './components/HomeDataDoorway'
import HomeDataParking from './components/HomeDataParking'
export default {
  name: 'home',
  metaInfo: {
    title: '首页'
  },
  data() {
    return {
      userInfo: this.$store.getters.basicUserInfo
    }
  },
  methods: {},
  components: {
    HomeSvgMap,
    HomePieChart,
    HomeAlarmInfoList,
    HomeDataCanteen,
    HomeDataSchoolDensity,
    HomeDataDoorway,
    HomeDataParking
  }
}
</script>
